Bug 827219 - pkg-config info wrong
pkg-config info wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 18:10 EDT by Ulrich Drepper
Modified: 2012-12-20 11:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:22:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 307729 None None None 2012-10-02 10:28:37 EDT

  None (edit)
Description Ulrich Drepper 2012-05-31 18:10:53 EDT
Description of problem:
The pkgconfig information in /usr/lib*/pkgconfig/valgrind.pc contains the variable

  valt_load_address

This was replaced in the valgrind sources from the @VALT_LOAD_ADDRESS@ configure value.  Nowadays valgrind defines @VALT_LOAD_ADDRESS_PRI@ and @VALT_LOAD_ADDRESS_SEC@.  The old variable is not defined anymore and therefore

  pkg-config --variable=valt_load_address valgrind

produces

  @VALT_LOAD_ADDRESS@



Version-Release number of selected component (if applicable):


How reproducible:
valgrind-3.7.0-4.fc17.x86_64

Steps to Reproduce:
1.Install valgrind-devel
2.Run 'pkg-config --variable=valt_load_address valgrind'
3.
  
Actual results:
@VALT_LOAD_ADDRESS@

Expected results:
Some address

Additional info:
There are two ways to fix this.  Either use VALT_LOAD_ADDRESS_PRI as the value for valt_load_address or introduce two values valt_load_address_pri and vlt_load_address_sec.

The same problem is present in Fedora 16.
Comment 1 Fedora Update System 2012-10-15 09:26:38 EDT
valgrind-3.8.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/valgrind-3.8.1-3.fc18
Comment 2 Fedora Update System 2012-10-15 13:38:17 EDT
Package valgrind-3.8.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing valgrind-3.8.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16133/valgrind-3.8.1-3.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-10-15 17:59:10 EDT
valgrind-3.8.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/valgrind-3.8.1-3.fc17
Comment 4 Fedora Update System 2012-12-20 11:22:42 EST
valgrind-3.8.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.